/** 
 *
 * XMLSec library
 * 
 * DSA Algorithm support
 * 
 * See Copyright for the status of this software.
 * 
 * Author: Aleksey Sanin <aleksey@aleksey.com>
 */
#ifndef __XMLSEC_DSA_H__
#define __XMLSEC_DSA_H__    

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */ 

#include <openssl/dsa.h>

#include <xmlsec/xmlsec.h>
#include <xmlsec/transforms.h>
#include <xmlsec/digests.h>
#include <xmlsec/keys.h>

/**
 * DSA transform
 */
extern xmlSecTransformId xmlSecSignDsaSha1;

/**
 * DSA key
 */
extern xmlSecKeyId xmlSecSignDsaKey;
int		xmlSecSignDsaKeySet			(xmlSecKeyPtr key,
							 DSA *dsa);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __XMLSEC_DSA_H__ */

