/** 
 *
 * XMLSec library
 * 
 * HMAC Algorithm support
 * 
 * See Copyright for the status of this software.
 * 
 * Author: Aleksey Sanin <aleksey@aleksey.com>
 */
#ifndef __XMLSEC_HMAC_H__
#define __XMLSEC_HMAC_H__    

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */ 

#include <xmlsec/xmlsec.h>
#include <xmlsec/transforms.h>
#include <xmlsec/digests.h>
#include <xmlsec/keys.h>

/**
 * HMAC transforms
 */
extern xmlSecTransformId xmlSecMacHmacSha1;
extern xmlSecTransformId xmlSecMacHmacRipeMd160;
extern xmlSecTransformId xmlSecMacHmacMd5;

/**
 * HMAC key
 */
extern xmlSecKeyId xmlSecMacHmacKey;

/** 
 * HMAC key data
 */ 
typedef struct _xmlSecMacHmacKeyData {
    unsigned char 		*key;
    size_t			size;
} xmlSecMacHmacKeyData, *xmlSecMacHmacKeyDataPtr;
 
xmlSecMacHmacKeyDataPtr	xmlSecMacHmacKeyDataCreate	(const unsigned char *key,
								 size_t size);
void		xmlSecMacHmacKeyDataDestroy		(xmlSecMacHmacKeyDataPtr data);
																 
#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __XMLSEC_HMAC_H__ */

