/** 
 *
 * XMLSec library
 * 
 * RSA Algorithm support
 * 
 * See Copyright for the status of this software.
 * 
 * Author: Aleksey Sanin <aleksey@aleksey.com>
 */
#ifndef __XMLSEC_RSA_H__
#define __XMLSEC_RSA_H__    

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */ 

#include <openssl/rsa.h>

#include <xmlsec/xmlsec.h>
#include <xmlsec/transforms.h>
#include <xmlsec/digests.h>
#include <xmlsec/keys.h>

/**
 * RSA transform
 */
extern xmlSecTransformId xmlSecSignRsaSha1;

/**
 * RSA key
 */
extern xmlSecKeyId xmlSecSignRsaKey;

int		xmlSecSignRsaKeySet			(xmlSecKeyPtr key,
							 RSA *rsa);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __XMLSEC_RSA_H__ */

